Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.farmacia.pojo
Class Farmacia

    java.lang.Object
      it.svimservice.nsisr.web.ws.farmacia.pojo.Farmacia

    public class Farmacia

extends java.lang.Object

Constructor Summary
`Farmacia()`

Method Summary
`ElencoFarmaciaResponse` | `getElencoFarmacie(AttributiAutorizzativi attributiAutorizzativi, ElencoFarmaciaRequest criteriRicerca)` Servizio di consultazione dei dati, compresi quelli storici, delle farmacie

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Farmacia

    public Farmacia()

Method Detail

### getElencoFarmacie

    public ElencoFarmaciaResponse getElencoFarmacie(AttributiAutorizzativi attributiAutorizzativi,
                                                    ElencoFarmaciaRequest criteriRicerca)

  Servizio di consultazione dei dati, compresi quelli storici, delle farmacie

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione
    `criteriRicerca` - criteri di ricerca delle farmacie
  Returns:
    elenco delle farmacie che soddifsano i criteri di ricerca oppure un Fault nel caso di errore
  Throws:
    `javax.xml.ws.soap.SOAPFaultException` - in caso di errore applicativo generato in fase di ricerca delle farmacie. Puo' assumere i seguenti valori:
    - 000001: Dato non valido
    - 000002: Manca un dato obbligatorio
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti
    - 001514: Richiesta non valida
    - 100000: Si e' verificato un errore nel sistema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD